{
    "id": "jojo.app.gandart",
    "name": "Gandart应用订阅",
    "description": "关于Gandart应用脚本订阅集合",
    "author": "@JoJo",
    "icon": "https://avatars.githubusercontent.com/u/16010188",
    "repo": "http://git.jojo21.top/shawenguan/Quantumult-X",
    "apps": [
        {
            "id": "lkGandartHelper",
            "name": "光予助手",
            "author": "@jojo",
            "repo": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/gandart/gandartHelper.js",
            "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/gandart/gandartHelper.js",
            "icons": [
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/gandart.png",
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/gandart.png"
            ],
            "scripts": [
                {
                    "name": "极速下单",
                    "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/gandart/gandartOrder.js"
                },
                {
                    "name": "极速锁单",
                    "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/gandart/gandartLock.js"
                },
                {
                    "name": "极速合成（或置换）",
                    "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/gandart/gandartComposite.js"
                },
                {
                    "name": "极速分解（琳琅阁）",
                    "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/gandart/gandartExchange.js"
                },
                {
                    "name": "星光通道",
                    "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/gandart/gandartStarLight.js"
                },
                {
                    "name": "首发抢购",
                    "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/gandart/gandartGrab.js"
                }
            ],
            "keys": [
                "lkGandartToken",
                "lkGandartCollectionCateLst"
            ],
            "settings": [
                {
                    "id": "lkIsEnableLogGandartHelper",
                    "name": "开启/关闭日志",
                    "val": true,
                    "type": "boolean",
                    "desc": "默认开启"
                },
                {
                    "id": "lkNotifyOnlyFailGandartHelper",
                    "name": "只当执行失败才通知",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "lkIsEnableTgNotifyGandartHelper",
                    "name": "开启/关闭通知",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "lkTgNotifyUrlGandartHelper",
                    "name": "通知地址",
                    "val": "",
                    "type": "text",
                    "desc": "Tg的通知地址，如：https://api.telegram.org/bot-token/sendMessage?chat_id=-100140&parse_mode=Markdown&text="
                },
                {
                    "id": "lkIsGandartCollectionWatchLocked",
                    "name": "开启/关闭锁定监控产品",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "lkGandartToken",
                    "name": "token",
                    "val": "",
                    "type": "text",
                    "placeholder": "(点击以展开说明)",
                    "desc": "授权token"
                },
                {
                    "id": "lkGandartCollectionCateLst",
                    "name": "产品列表",
                    "val": "[]",
                    "type": "textarea",
                    "autoGrow": true,
                    "placeholder": "(点击以展开说明)",
                    "desc": "产品列表"
                }
            ]
        },
        {
            "id": "lkGandartOrderer",
            "name": "光予下单",
            "author": "@jojo",
            "repo": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/gandart/gandartOrder.js",
            "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/gandart/gandartOrder.js",
            "icons": [
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/gandart.png",
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/gandart.png"
            ],
            "keys": [
                "lkGandartToken",
                "lkGandartCastingId",
                "lkGandartCollectionName",
                "lkGandartLimitPrice",
                "lkGandartFloatPriceIntaval",
                "lkIsGandartCollectionWatchLocked"
            ],
            "settings": [
                {
                    "id": "lkIsEnableLogGandartOrderer",
                    "name": "开启/关闭日志",
                    "val": true,
                    "type": "boolean",
                    "desc": "默认开启"
                },
                {
                    "id": "lkNotifyOnlyFailGandartOrderer",
                    "name": "只当执行失败才通知",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "lkIsGandartCollectionWatchLocked",
                    "name": "开启/关闭锁定监控产品",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "lkGandartIsCollectionMaxNumLimit",
                    "name": "开启/关闭检查未支付单数限制",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "lkGandartCollectionLockMaxNum",
                    "name": "最大允许未支付单数",
                    "val": 6,
                    "type": "number",
                    "desc": "最大允许未支付单数"
                },
                {
                    "id": "lkGandartPrivWalletListInUse",
                    "name": "付款钱包",
                    "val": "A,B,C",
                    "type": "checkboxes",
                    "desc": "付款钱包，如产品不支持当前所选钱包则不会下单",
                    "items": [
                        {
                            "key": "A",
                            "label": "钱包A"
                        },
                        {
                            "key": "B",
                            "label": "钱包B"
                        },
                        {
                            "key": "C",
                            "label": "钱包C"
                        }
                    ]
                },
                {
                    "id": "lkGandartIsTryPayAfterOrder",
                    "name": "开启/关闭下单后立即支付",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "lkGandartCastingId",
                    "name": "产品铸造品类ID",
                    "val": "",
                    "type": "text",
                    "desc": "产品铸造品类ID"
                },
                {
                    "id": "lkGandartCollectionName",
                    "name": "产品名称",
                    "val": "",
                    "type": "text",
                    "desc": "产品名称"
                },
                {
                    "id": "lkGandartLimitPrice",
                    "name": "捡漏最高价格",
                    "val": 0,
                    "type": "text",
                    "desc": "捡漏最高价格"
                },
                {
                    "id": "lkGandartFloatPriceIntaval",
                    "name": "价格浮动限制",
                    "val": 10,
                    "type": "number",
                    "desc": "价格浮动限制，当浏览刷新的最低价格跟预设价格差值大于此值则修正为最低价"
                },
                {
                    "id": "lkGandartCollectionCateLst",
                    "name": "产品列表",
                    "val": "[]",
                    "autoGrow": false,
                    "type": "textarea",
                    "desc": "产品列表"
                }
            ]
        },
        {
            "id": "lkGandartLocker",
            "name": "光予锁单",
            "author": "@jojo",
            "repo": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/gandart/gandartLock.js",
            "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/gandart/gandartLock.js",
            "icons": [
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/gandart.png",
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/gandart.png"
            ],
            "keys": [
                "lkGandartToken",
                "lkGandartLockCastingId",
                "lkGandartLockCollectionName",
                "lkGandartLockViewSort"
            ],
            "settings": [
                {
                    "id": "lkIsEnableLogGandartLocker",
                    "name": "开启/关闭日志",
                    "val": true,
                    "type": "boolean",
                    "desc": "默认开启"
                },
                {
                    "id": "lkNotifyOnlyFailGandartLocker",
                    "name": "只当执行失败才通知",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "lkGandartLockCastingId",
                    "name": "产品铸造品类ID",
                    "val": "",
                    "type": "text",
                    "desc": "产品铸造品类ID"
                },
                {
                    "id": "lkGandartLockCollectionName",
                    "name": "产品名称",
                    "val": "",
                    "type": "text",
                    "desc": "产品名称"
                },
                {
                    "id": "lkGandartLockViewSort",
                    "name": "产品编号",
                    "val": 0,
                    "type": "text",
                    "desc": "产品编号"
                },
                {
                    "id": "lkGandartCollectionCateLst",
                    "name": "产品列表",
                    "val": "[]",
                    "autoGrow": true,
                    "type": "textarea",
                    "desc": "产品列表"
                }
            ]
        },
        {
            "id": "lkGandartCompositer",
            "name": "光予合成",
            "author": "@jojo",
            "repo": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/gandart/gandartComposite.js",
            "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/gandart/gandartComposite.js",
            "icons": [
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/gandart.png",
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/gandart.png"
            ],
            "keys": [
                "lkGandartToken",
                "lkGandartCompositeTaskId",
                "lkGandartCompositeTaskNameDisplay"
            ],
            "settings": [
                {
                    "id": "lkIsEnableLogGandartCompositer",
                    "name": "开启/关闭日志",
                    "val": true,
                    "type": "boolean",
                    "desc": "默认开启"
                },
                {
                    "id": "lkNotifyOnlyFailGandartCompositer",
                    "name": "只当执行失败才通知",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "lkGandartCompositeFuncEnalbleList",
                    "name": "功能步骤",
                    "val": "TaskList,MateList,DecidedList",
                    "type": "checkboxes",
                    "desc": "功能步骤",
                    "items": [
                        {
                            "key": "TaskList",
                            "label": "获取合成任务列表"
                        },
                        {
                            "key": "MateList",
                            "label": "获取可行合成方案"
                        },
                        {
                            "key": "DecidedList",
                            "label": "生成最终合成方案"
                        },
                        {
                            "key": "ExecComposite",
                            "label": "最终执行合成任务"
                        }
                    ]
                },
                {
                    "id": "lkGandartCompositeTaskListStatus",
                    "name": "任务列表状态",
                    "val": "1",
                    "type": "radios",
                    "desc": "",
                    "items": [
                        {
                            "key": "0",
                            "label": "待开始"
                        },
                        {
                            "key": "1",
                            "label": "进行中"
                        },
                        {
                            "key": "2",
                            "label": "已结束"
                        },
                        {
                            "key": "3",
                            "label": "待开始与进行中"
                        }
                    ]
                },
                {
                    "id": "lkGandartCompositeTaskMode",
                    "name": "任务合成模式",
                    "val": "1",
                    "type": "radios",
                    "desc": "",
                    "items": [
                        {
                            "key": "0",
                            "label": "普通（即时计算合成）"
                        },
                        {
                            "key": "1",
                            "label": "极速（预设数据合成）"
                        }
                    ]
                },
                {
                    "id": "lkIsCompositeTaskListCache",
                    "name": "启用/弃用任务列表本地缓存",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "lkIsCompositeMaterialCache",
                    "name": "启用/弃用材料详情本地缓存",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "lkIsCompositeTaskSearchEnable",
                    "name": "启用/关闭合成任务名称检索",
                    "val": true,
                    "type": "boolean",
                    "desc": "默认启用"
                },
                {
                    "id": "lkIsCompositeBatchEnable",
                    "name": "启用/关闭批量合成",
                    "val": true,
                    "type": "boolean",
                    "desc": "默认启用"
                },
                {
                    "id": "lkGandartCompositeBatchGroupCount",
                    "name": "批量合成个数",
                    "val": 5,
                    "type": "number",
                    "desc": "批量合成个数，就是一次请求合成多个"
                },
                {
                    "id": "lkGandartCompositeTaskId",
                    "name": "合成任务ID",
                    "val": "",
                    "type": "text",
                    "desc": "合成任务ID"
                },
                {
                    "id": "lkGandartCompositeTaskSearchKey",
                    "name": "合成任务名称关键字",
                    "val": "",
                    "type": "text",
                    "desc": "合成任务名称关键字，进行搜索匹配到相应的任务ID"
                },
                {
                    "id": "lkGandartCompositeCountArray",
                    "name": "合成组合执行次数",
                    "val": "0#1",
                    "type": "text",
                    "desc": "合成组合执行次数，格式如：0#1,0代表应索引0的可行方案组合，1代表执行次数"
                },
                {
                    "id": "lkGandartCompositeTaskMateList",
                    "name": "合成组合可行方案",
                    "val": "[]",
                    "autoGrow": false,
                    "type": "textarea",
                    "desc": "普通模式运行得出，仅供查看，用于编写合成组合执行次数"
                },
                {
                    "id": "lkGandartCompositeTaskFinalList",
                    "name": "合成组合最终方案",
                    "val": "[]",
                    "autoGrow": false,
                    "type": "textarea",
                    "desc": "普通模式运行得出，作为极速模式下的缓存，可手动编写（慎重）"
                },
                {
                    "id": "lkGandartCompositeTaskList0",
                    "name": "待开始-任务列表",
                    "val": "[]",
                    "autoGrow": true,
                    "type": "textarea",
                    "desc": "待开始的任务列表，用于查看合成任务ID（勿编辑修改）"
                },
                {
                    "id": "lkGandartCompositeTaskList1",
                    "name": "进行中-任务列表",
                    "val": "[]",
                    "autoGrow": false,
                    "type": "textarea",
                    "desc": "进行中的任务列表，用于查看合成任务ID（勿编辑修改）"
                },
                {
                    "id": "lkGandartCompositeTaskList2",
                    "name": "已结束-任务列表",
                    "val": "[]",
                    "autoGrow": false,
                    "type": "textarea",
                    "desc": "已结束的任务列表，用于查看合成任务ID（勿编辑修改）"
                }
            ]
        },
        {
            "id": "lkGandartExchanger",
            "name": "光予分解",
            "author": "@jojo",
            "repo": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/gandart/gandartExchange.js",
            "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/gandart/gandartExchange.js",
            "icons": [
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/gandart.png",
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/gandart.png"
            ],
            "keys": [
                "lkGandartToken",
                "lkGandartExchangeTaskId",
                "lkGandartExchangeTaskNameDisplay"
            ],
            "settings": [
                {
                    "id": "lkIsEnableLogGandartExchanger",
                    "name": "开启/关闭日志",
                    "val": true,
                    "type": "boolean",
                    "desc": "默认开启"
                },
                {
                    "id": "lkNotifyOnlyFailGandartExchanger",
                    "name": "只当执行失败才通知",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "lkGandartExchangeFuncEnalbleList",
                    "name": "功能步骤",
                    "val": "TaskList,MateList,DecidedList",
                    "type": "checkboxes",
                    "desc": "功能步骤",
                    "items": [
                        {
                            "key": "TaskList",
                            "label": "获取置换分解任务列表"
                        },
                        {
                            "key": "MateList",
                            "label": "获取可行置换分解方案"
                        },
                        {
                            "key": "DecidedList",
                            "label": "生成最终置换分解方案"
                        },
                        {
                            "key": "ExecExchange",
                            "label": "最终执行置换分解任务"
                        }
                    ]
                },
                {
                    "id": "lkGandartExchangeTaskListStatus",
                    "name": "任务列表状态",
                    "val": "1",
                    "type": "radios",
                    "desc": "",
                    "items": [
                        {
                            "key": "1",
                            "label": "进行中"
                        }
                    ]
                },
                {
                    "id": "lkGandartExchangeTaskMode",
                    "name": "任务置换分解模式",
                    "val": "1",
                    "type": "radios",
                    "desc": "",
                    "items": [
                        {
                            "key": "0",
                            "label": "普通（即时计算置换分解）"
                        },
                        {
                            "key": "1",
                            "label": "极速（预设数据置换分解）"
                        }
                    ]
                },
                {
                    "id": "lkIsExchangeTaskListCache",
                    "name": "启用/弃用任务列表本地缓存",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "lkIsExchangeMaterialCache",
                    "name": "启用/弃用材料详情本地缓存",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "lkIsExchangeTaskSearchEnable",
                    "name": "启用/关闭置换分解任务名称检索",
                    "val": true,
                    "type": "boolean",
                    "desc": "默认启用"
                },
                {
                    "id": "lkIsExchangeBatchEnable",
                    "name": "启用/关闭批量置换分解",
                    "val": true,
                    "type": "boolean",
                    "desc": "默认启用"
                },
                {
                    "id": "lkGandartExchangeBatchGroupCount",
                    "name": "批量置换分解个数",
                    "val": 5,
                    "type": "number",
                    "desc": "批量置换分解个数，就是一次请求置换分解多个"
                },
                {
                    "id": "lkGandartExchangeTaskId",
                    "name": "置换分解任务ID",
                    "val": "",
                    "type": "text",
                    "desc": "置换分解任务ID"
                },
                {
                    "id": "lkGandartExchangeTaskSearchKey",
                    "name": "置换分解任务名称关键字",
                    "val": "",
                    "type": "text",
                    "desc": "置换分解任务名称关键字，进行搜索匹配到相应的任务ID"
                },
                {
                    "id": "lkGandartExchangeCountArray",
                    "name": "置换分解组合执行次数",
                    "val": "0#1",
                    "type": "text",
                    "desc": "置换分解组合执行次数，格式如：0#1,0代表应索引0的可行方案组合，1代表执行次数"
                },
                {
                    "id": "lkGandartExchangeTaskMateList",
                    "name": "置换分解组合可行方案",
                    "val": "[]",
                    "autoGrow": false,
                    "type": "textarea",
                    "desc": "普通模式运行得出，仅供查看，用于编写置换分解组合执行次数"
                },
                {
                    "id": "lkGandartExchangeTaskFinalList",
                    "name": "置换分解组合最终方案",
                    "val": "[]",
                    "autoGrow": false,
                    "type": "textarea",
                    "desc": "普通模式运行得出，作为极速模式下的缓存，可手动编写（慎重）"
                },
                {
                    "id": "lkGandartExchangeTaskList1",
                    "name": "进行中-任务列表",
                    "val": "[]",
                    "autoGrow": false,
                    "type": "textarea",
                    "desc": "进行中的任务列表，用于查看合成任务ID（勿编辑修改）"
                }
            ]
        },
        {
            "id": "lkGandartStarExcher",
            "name": "光予星光",
            "author": "@jojo",
            "repo": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/gandart/gandartStarLight.js",
            "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/gandart/gandartStarLight.js",
            "icons": [
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/gandart.png",
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/gandart.png"
            ],
            "keys": [
                "lkGandartToken",
                "lkGandartStarExchTaskId",
                "lkGandartStarExchTaskNameDisplay"
            ],
            "settings": [
                {
                    "id": "lkIsEnableLogGandartStarExcher",
                    "name": "开启/关闭日志",
                    "val": true,
                    "type": "boolean",
                    "desc": "默认开启"
                },
                {
                    "id": "lkNotifyOnlyFailGandartStarExcher",
                    "name": "只当执行失败才通知",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "lkGandartStarExchFuncEnalbleList",
                    "name": "功能步骤",
                    "val": "TaskList,MateList,DecidedList",
                    "type": "checkboxes",
                    "desc": "功能步骤",
                    "items": [
                        {
                            "key": "TaskList",
                            "label": "获取星光通道任务列表"
                        },
                        {
                            "key": "MateList",
                            "label": "获取可行星光兑换方案"
                        },
                        {
                            "key": "DecidedList",
                            "label": "生成最终星光兑换方案"
                        },
                        {
                            "key": "ExecExchange",
                            "label": "最终执行星光兑换任务"
                        }
                    ]
                },
                {
                    "id": "lkGandartStarExchTaskListStatus",
                    "name": "任务列表状态",
                    "val": "1",
                    "type": "radios",
                    "desc": "",
                    "items": [
                        {
                            "key": "1",
                            "label": "进行中"
                        }
                    ]
                },
                {
                    "id": "lkGandartStarExchTaskMode",
                    "name": "任务星光兑换模式",
                    "val": "1",
                    "type": "radios",
                    "desc": "",
                    "items": [
                        {
                            "key": "0",
                            "label": "普通（即时计算兑换）"
                        },
                        {
                            "key": "1",
                            "label": "极速（预设数据兑换）"
                        }
                    ]
                },
                {
                    "id": "lkIsStarExchTaskListCache",
                    "name": "启用/弃用任务列表本地缓存",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "lkIsStarExchMaterialCache",
                    "name": "启用/弃用材料详情本地缓存",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "lkIsStarExchTaskSearchEnable",
                    "name": "启用/关闭置换分解任务名称检索",
                    "val": true,
                    "type": "boolean",
                    "desc": "默认启用"
                },
                {
                    "id": "lkIsStarExchBatchEnable",
                    "name": "启用/关闭批量置换分解",
                    "val": true,
                    "type": "boolean",
                    "desc": "默认启用"
                },
                {
                    "id": "lkGandartStarExchBatchGroupCount",
                    "name": "批量置换分解个数",
                    "val": 5,
                    "type": "number",
                    "desc": "批量置换分解个数，就是一次请求置换分解多个"
                },
                {
                    "id": "lkGandartStarExchTaskId",
                    "name": "置换分解任务ID",
                    "val": "",
                    "type": "text",
                    "desc": "置换分解任务ID"
                },
                {
                    "id": "lkGandartStarExchTaskSearchKey",
                    "name": "置换分解任务名称关键字",
                    "val": "",
                    "type": "text",
                    "desc": "置换分解任务名称关键字，进行搜索匹配到相应的任务ID"
                },
                {
                    "id": "lkGandartStarExchCountArray",
                    "name": "置换分解组合执行次数",
                    "val": "0#1",
                    "type": "text",
                    "desc": "置换分解组合执行次数，格式如：0#1,0代表应索引0的可行方案组合，1代表执行次数"
                },
                {
                    "id": "lkGandartStarExchTaskMateList",
                    "name": "置换分解组合可行方案",
                    "val": "[]",
                    "autoGrow": false,
                    "type": "textarea",
                    "desc": "普通模式运行得出，仅供查看，用于编写置换分解组合执行次数"
                },
                {
                    "id": "lkGandartStarExchTaskFinalList",
                    "name": "置换分解组合最终方案",
                    "val": "[]",
                    "autoGrow": false,
                    "type": "textarea",
                    "desc": "普通模式运行得出，作为极速模式下的缓存，可手动编写（慎重）"
                },
                {
                    "id": "lkGandartStarExchTaskList1",
                    "name": "进行中-任务列表",
                    "val": "[]",
                    "autoGrow": false,
                    "type": "textarea",
                    "desc": "进行中的任务列表，用于查看合成任务ID（勿编辑修改）"
                }
            ]
        },
        {
            "id": "lkGandartPayer",
            "name": "光予支付",
            "author": "@jojo",
            "repo": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/gandart/gandartPay.js",
            "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/gandart/gandartPay.js",
            "icons": [
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/gandart.png",
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/gandart.png"
            ],
            "keys": [
                "lkGandartToken"
            ],
            "settings": [
                {
                    "id": "lkIsEnableLogGandartPayer",
                    "name": "开启/关闭日志",
                    "val": true,
                    "type": "boolean",
                    "desc": "默认开启"
                },
                {
                    "id": "lkNotifyOnlyFailGandartPayer",
                    "name": "只当执行失败才通知",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "lkIsGandartCollectionWatchLocked",
                    "name": "开启/关闭锁定监控产品",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "lkGandartIsCollectionMaxNumLimit",
                    "name": "开启/关闭检查未支付单数限制",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "lkGandartPrivPayWalletList",
                    "name": "付款钱包",
                    "val": "A,B,C",
                    "type": "checkboxes",
                    "desc": "付款钱包，用于付款选择",
                    "items": [
                        {
                            "key": "A",
                            "label": "钱包A"
                        },
                        {
                            "key": "B",
                            "label": "钱包B"
                        },
                        {
                            "key": "C",
                            "label": "钱包C"
                        }
                    ]
                },
                {
                    "id": "lkGandartPasswordPlainText",
                    "name": "钱包支付密码",
                    "val": "",
                    "type": "text",
                    "desc": "钱包支付密码"
                },
                {
                    "id": "lkGandartPayingOrderList",
                    "name": "未支付订单列表",
                    "val": "[]",
                    "autoGrow": false,
                    "type": "textarea",
                    "desc": "未支付订单列表"
                }
            ]
        },
        {
            "id": "lkGandartGrabber",
            "name": "光予抢购",
            "author": "@jojo",
            "repo": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/gandart/gandartGrab.js",
            "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/gandart/gandartGrab.js",
            "icons": [
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/gandart.png",
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/gandart.png"
            ],
            "keys": [
                "lkGandartToken",
                "lkGandartNewCollectionCastingId",
                "lkGandartNewCollectionCastingSearchKey"
            ],
            "settings": [
                {
                    "id": "lkIsEnableLogGandartGrabber",
                    "name": "开启/关闭日志",
                    "val": true,
                    "type": "boolean",
                    "desc": "默认开启"
                },
                {
                    "id": "lkNotifyOnlyFailGandartGrabber",
                    "name": "只当执行失败才通知",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "lkGandartIsNewCastingMaxNumLimit",
                    "name": "开启/关闭检查未支付单数限制",
                    "val": false,
                    "type": "boolean",
                    "desc": "默认关闭"
                },
                {
                    "id": "lkGandartNewCastingLockMaxNum",
                    "name": "最大允许未支付单数",
                    "val": 6,
                    "type": "number",
                    "desc": "最大允许未支付单数"
                },
                {
                    "id": "lkGandartNewCastingPayWalletList",
                    "name": "付款钱包",
                    "val": "C",
                    "type": "checkboxes",
                    "desc": "付款钱包，用于付款选择",
                    "items": [
                        {
                            "key": "A",
                            "label": "钱包A"
                        },
                        {
                            "key": "B",
                            "label": "钱包B"
                        },
                        {
                            "key": "C",
                            "label": "钱包C"
                        }
                    ]
                },
                {
                    "id": "lkGandartNewCollectionCastingId",
                    "name": "首发产品铸造品类ID",
                    "val": "",
                    "type": "text",
                    "desc": "首发产品铸造品类ID"
                },
                {
                    "id": "lkGandartNewCollectionCastingSearchKey",
                    "name": "首发产品名称关键字",
                    "val": "",
                    "type": "text",
                    "desc": "首发产品名称关键字"
                },
                {
                    "id": "lkGandartNewCollectionCateLst",
                    "name": "产品列表",
                    "val": "[]",
                    "autoGrow": true,
                    "type": "textarea",
                    "desc": "产品列表"
                },
                {
                    "id": "lkGandartPasswordPlainText",
                    "name": "钱包支付密码",
                    "val": "",
                    "type": "text",
                    "desc": "钱包支付密码"
                }
            ]
        },
        {
            "id": "lkGandartChecker",
            "name": "光予查询",
            "author": "@jojo",
            "repo": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/gandart/gandartCheck.js",
            "script": "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Scripts/gandart/gandartCheck.js",
            "icons": [
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/gandart.png",
                "https://git.jojo21.top/shawenguan/Quantumult-X/raw/master/Icons/gandart.png"
            ],
            "keys": [
                "lkGandartToken"
            ],
            "settings": [
                {
                    "id": "lkGandartCheckFuncName",
                    "name": "操作选项",
                    "val": "collectionDetail",
                    "type": "radios",
                    "desc": "操作功能选择",
                    "items": [
                        {
                            "key": "collectionDetail",
                            "label": "查看产品流通信息"
                        }
                    ]
                },
                {
                    "id": "lkGandartSearchCollectionCastingId",
                    "name": "产品铸造品类ID",
                    "val": "",
                    "type": "text",
                    "desc": "产品铸造品类ID"
                },
                {
                    "id": "lkGandartSearchCollectionRecordId",
                    "name": "产品铸造记录ID",
                    "val": "",
                    "type": "text",
                    "desc": "产品铸造记录ID"
                },
                {
                    "id": "lkGandartSearchCollectionCastingName",
                    "name": "产品名称关键字",
                    "val": "",
                    "type": "text",
                    "desc": "产品名称关键字"
                }
            ]
        }
    ]
}